import java.util.ArrayList;

class Termin {
	private String datum;
	private String ereignis;
	
	public Termin(String datum, String ereignis) {
		this.datum = datum;
		this.ereignis = ereignis;
	}

	public String getDatum() {
		return datum;
	}

	public String getEreignis() {
		return ereignis;
	}
}

class Kalender {
	
	private ArrayList<Termin> termine;
	
	public Kalender() {
		this.termine = new ArrayList<Termin>();
	}
	
	public void neuerTermin(String datum, String ereignis) {
		this.termine.add(new Termin(datum, ereignis));
	}

	public String[] liefereEreignisse(String datum) {
		ArrayList<String> speicher = new ArrayList<String>();
		for (Termin termin: this.termine) {
			if (termin.getDatum().equals(datum)) {
				speicher.add(termin.getEreignis());
			}
		}
		return speicher.toArray(new String[0]);
	}
}

public class UE16Aufgabe6 {

	public static void main(String[] args) {
		Kalender kalender = new Kalender();
		kalender.neuerTermin("03.09.2007", "Geburtstag Oma");
		kalender.neuerTermin("01.01.2007", "Ausschlafen");
		kalender.neuerTermin("03.09.2007", "Schulfest");
		// ...
		String[] ereignisse = kalender.liefereEreignisse("03.09.2007");
		for (int i = 0; i < ereignisse.length; i++) {
			System.out.println(ereignisse[i]);
		}
	}
}
