import java.io.File;
import java.util.Date;

public class UE16Aufgabe7 {

	public static void main(String[] args) {
		if (args.length < 1) {
			System.out.println("usage: java UE16Aufgabe7 <directory>");
			return;
		}
		File dir = new File(args[0]);
		if (dir.exists()) {
			File[] files = dir.listFiles();
			for (File file : files) {
				String zeile = "";
				zeile += new Date(file.lastModified()).toString() + " ";
				if (file.isDirectory()) {
					zeile += "<DIR>  ";
				} else {
					zeile += "       ";
				}
				if (file.canRead()) {
					zeile += "r";
				} else {
					zeile += "-";
				}
				if (file.canWrite()) {
					zeile += "w";
				} else {
					zeile += "-";
				}
				zeile += "  ";
				zeile += file.length() + "  ";
				zeile += file.toString();
				System.out.println(zeile);
			}
		}

	}
}
