import java.lang.reflect.Method;

public class UE16Aufgabe15 {
	public static void main(String[] args) throws Exception {
		callStringMethods(new X());
	}

	static void callStringMethods(Object o) throws Exception {
		for (Method method : o.getClass().getDeclaredMethods()) {
			if (method.getParameterCount() == 0
					&& method.getReturnType() == new String().getClass()) {
				System.out.print("Die Methode " + method.getName() + " liefert: ");
				System.out.println(method.invoke(o));
			}
		}
	}
}

class X {
	public String f() {
		return "X::f";
	}

	public int g() {
		System.out.println("X::g");
		return 1;
	}
	
	public String h() {
		return "X::h";
	}
}
