import java.util.HashMap;

class Woerterbuch {

	private HashMap<String, String> inhalt;

	public Woerterbuch() {
		this.inhalt = new HashMap<String, String>();
	}

	public void einfuegen(String begriff, String uebersetzung) {
		this.inhalt.put(begriff, uebersetzung);
	}

	public String getUebersetzung(String begriff) {
		return this.inhalt.get(begriff);
	}
}

public class UE16Aufgabe2 {

	// Testprogramm
	public static void main(String[] args) {
		Woerterbuch buch = new Woerterbuch();
		char antwort = IO.readChar("Weitere Eintragung (j/n)?");
		while (antwort == 'j') {
			String begriff = IO.readString("Begriff: ");
			String uebersetzung = IO.readString("Uebersetzung: ");
			buch.einfuegen(begriff, uebersetzung);
			antwort = IO.readChar("Weitere Eintragung (j/n)?");
		}

		antwort = IO.readChar("Weitere Abfrage (j/n)?");
		while (antwort == 'j') {
			String begriff = "";
			begriff = IO.readString("Begriff: ");
			String uebersetzung = buch.getUebersetzung(begriff);
			if (uebersetzung != null) {
				System.out.println(begriff + " = " + uebersetzung);
			} else {
				System.out.println("Begriff " + begriff
						+ " ist nicht im Woerterbuch vorhanden");
			}
			antwort = IO.readChar("Weitere Abfrage (j/n)?");
		}
	}
}
