import java.util.Calendar;
import java.util.Random;
import java.util.Stack;

public class UE16Aufgabe4 {

	public static void main(String[] args) {
		UE16Aufgabe4.alter();
		UE16Aufgabe4.lotto();
		UE16Aufgabe4.stack();
		UE16Aufgabe4.mathe();
	}

	public static void alter() {
		Calendar geburtstag = Calendar.getInstance();
		geburtstag.set(Calendar.YEAR, 2010);
		geburtstag.set(Calendar.MONTH, Calendar.JANUARY);
		geburtstag.set(Calendar.DAY_OF_MONTH, 2);
		System.out.println(geburtstag.getTime());
		Calendar jetzt = Calendar.getInstance();
		long diff = jetzt.getTimeInMillis() - geburtstag.getTimeInMillis();
		diff = diff / (1000 * 60 * 60 * 24);
		System.out.println("Du bist " + diff + " Tage alt.");
	}

	static int[] lottozahlen = new int[6];

	static boolean gezogen(int zahl) {
		for (int i = 0; i < UE16Aufgabe4.lottozahlen.length; i++) {
			if (zahl == UE16Aufgabe4.lottozahlen[i]) {
				return true;
			}
		}
		return false;
	}

	public static void lotto() {
		Random random = new Random();
		int nummer = 1;
		while (nummer <= 6) {
			int zahl = random.nextInt(49) + 1;
			while (UE16Aufgabe4.gezogen(zahl)) { // doppelt
				zahl = random.nextInt(49) + 1;
			}
			UE16Aufgabe4.lottozahlen[nummer - 1] = zahl;
			nummer++;
		}

		// Ausgabe (unsortiert)
		for (int i = 0; i < UE16Aufgabe4.lottozahlen.length; i++) {
			System.out.println(UE16Aufgabe4.lottozahlen[i]);
		}
	}

	public static void stack() {
		Stack<Integer> stack = new Stack<Integer>();
		for (int i = 0; i < 4; i++) {
			stack.push(IO.readInt("Wert: "));
		}
		while (!stack.isEmpty()) {
			System.out.println(stack.pop());
		}
	}

	public static void mathe() {
		double wert = IO.readDouble("Wert: ");
		System.out.println("Sinus(" + wert + ") = " + Math.sin(wert));
		System.out.println("Cosinus(" + wert + ") = " + Math.cos(wert));
		System.out.println("Tangens(" + wert + ") = " + Math.tan(wert));
		System.out.println("Wurzel(" + wert + ") = " + Math.sqrt(wert));
	}

}
